%define	major	1
%define base mng
%define libname %mklibname %base %major

# -d is not working
%define develname %libname-devel
%define staticname %mklibname %base %major -s -d

Summary:	A library for handling MNG files
Name:		libmng
Version:	1.0.8
Release:        1mdk
License:	Distributable (see LICENSE)
Group:		System/Libraries
Packager:	David BAUDENS <baudens@mandrakesoft.com>
URL:		http://www.libmng.com/

Source0:	http://switch.dl.sourceforge.net/sourceforge/libmng/%name-%version.tar.bz2
#Patch0:	libmng-1.0.3-lcms.h.patch.bz2
Patch1:		libmng-1.0.7-64bit-fixes.patch.bz2
#Patch2:	libmng-no-jpeg.dif
#Patch3:	libmng-1.0.5-libtool.patch.bz2

BuildRequires:	libjpeg-devel
BuildRequires:	liblcms-devel
BuildRequires:	zlib-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar

%package -n	%libname
Summary:	A library for handling MNG files
Group:		System/Libraries
Provides:	%name

%description -n	%libname
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

%package -n	%develname
Summary:	Header files for libmng
Group:		Development/C
Requires:	%libname = %version-%release
Provides:	%name-devel mng-devel libmng0.9.3-devel libmng0-devel
Obsoletes:	%name-devel libmng0.9.3-devel libmng0-devel

%description -n	%develname
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains header files needed for development.

%package -n	%staticname
Summary:	Static libraries for libmng
Group:		Development/C
Requires:	%libname-devel = %version-%release
Provides: 	%name-static-devel, mng-static-devel

%description -n	%staticname
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.
 
This package contains static libraries needed for development.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1 -b .64bit-fixes
#%patch3 -p1 -b .libtool
chmod +x autogen.sh

%build
./autogen.sh
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m644 doc/man/libmng.3 -D %buildroot%{_mandir}/man3/libmng.3
install -m644 doc/man/jng.5 -D %buildroot%{_mandir}/man5/jng.5
install -m644 doc/man/mng.5 -D %buildroot%{_mandir}/man5/mng.5

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post -n %develname -p /sbin/ldconfig

%postun -n %develname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root,-)
%doc LICENSE
%_libdir/*.so.*

%files -n %develname
%defattr(-,root,root,-)
%doc CHANGES LICENSE README README.contrib README.examples
%doc doc/Plan1.png doc/Plan2.png doc/doc.readme doc/libmng.txt
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_mandir/man*/*

%files -n %staticname
%defattr(-,root,root,-)
%_libdir/*.a

%changelog
* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.8-1mdk
- 1.0.8

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.7-1mdk
- 1.0.7
- drop P0 & P3
- regenerate P1 (is it really needed anymore?)
- fix obsolete-not-provided
- cosmetics

* Mon Mar  1 2004 Stefan van der Eijk <stefan@eijk.nu> 1.0.5-5mdk
- reupload

* Tue Aug 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-4mdk
- 64-bit & libtool fixes

* Mon Aug  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-3mdk
- Fix Requires

* Thu Jul 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-2mdk
- Provides: mng{,-static}-devel

* Mon Jul 28 2003 Warly <warly@mandrakesoft.com> 1.0.5-1mdk
- new version
- move .la in devel
- add .a mand libmng-mini.a for bootsplash
- mklibnamization

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-4mdk
- rebuild for new devel provides

* Sat May 24 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-3mdk
- BuildRequires (remove incorrect & redundant)

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-2mdk
- Automated rebuild in gcc3.1 environment

* Tue Oct 09 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Thu Jul 19 2001 dam's <damien@mandrakesoft.com> 1.0.2-2mdk
- removed obsolete. dadou sux :) 

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- Move static librarie in static-devel package

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-3mdk
- BuildRequires:	libjpeg-devel
- BuildRequires:	zlib-devel

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-2mdk
- Don't put man pages in both devel and non devel packages

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- Merge Vince's modifications (spec)

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-3mdk
- Fix libdification

* Fri Nov 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-2mdk
- Make compliant to new LMDK lib policy

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-1mdk
- First package for Linux-Mandrake distribution
